/**
 * @author: rayatn1011
 * @homepage: https://github.com/rayatn1011
 */

import { LanguageDict } from '@common/types'

const lang: LanguageDict = {
  _app_name: 'SwitchHosts',
  _key: 'zh-hant',
  _name: '中文',
  about: '關於',
  acknowledgement: '特別感謝',
  advanced: '進階',
  all: '全部',
  append: '附加',
  auto_refresh: '自動更新',
  btn_cancel: '取消',
  btn_ok: '確定',
  change: '修改',
  check_update: '檢查更新',
  choice_mode: '選擇模式',
  choice_mode_default: '預設',
  choice_mode_desc: '只對頂層項目有效，每個資料夾可設定自己的選擇模式。',
  choice_mode_multiple: '多選',
  choice_mode_single: '單選',
  choices: '選項',
  chosen: '已選',
  clear_history: '清除歷史紀錄',
  click_to_open: '點擊開啟',
  close: '關閉',
  colon: '：',
  commands: '指令',
  commands_help: '每次 Hosts 應用後將執行下面的系統指令：',
  commands_title: 'Hosts 應用後指令',
  comment_current_line: '註解當前行',
  content: '內容',
  copy: '複製',
  cut: '剪下',
  day: '天',
  days: '天',
  delete: '刪除',
  download: '下載',
  edit: '編輯',
  export: '匯出',
  export_done: '匯出已完成。',
  fail: '操作失敗！',
  feedback: '意見回饋',
  file: '檔案',
  find: '尋找',
  find_all: '尋找所有',
  find_and_replace: '尋找並替換',
  find_history: '尋找歷史',
  folder: '資料夾',
  front: '前置',
  general: '一般',
  group: '群組',
  help: 'Help',
  hide: '隱藏',
  hide_at_launch: '啟動時隱藏',
  hide_dock_icon: '隱藏工作列圖示',
  hide_history: '隱藏歷史紀錄',
  hide_others: '隱藏其他',
  homepage: '首頁',
  host: '主機',
  hosts_add: '新增 hosts',
  hosts_delete: '刪除當前方案',
  hosts_delete_confirm: '確定要刪除當前方案嗎？',
  hosts_edit: '編輯 hosts',
  hosts_title: 'Hosts 標題',
  hosts_type: 'Hosts 類型',
  hosts_updated: 'Hosts 檔案已更新。',
  hour: '小時',
  hours: '小時',
  http_api_on: '開啟 HTTP API',
  http_api_on_desc: '運行於 {0} 通訊埠，可用於 Alfred 等第三方應用切換 hosts。',
  http_api_only_local: 'HTTP API 僅監聽 127.0.0.1',
  ignore_case: '忽略大小寫',
  import: '匯入',
  import_done: '匯入已完成。',
  import_fail: '匯入失敗！',
  import_from_url: '從 URL 匯入',
  is_latest_version_inform: '太棒了，你正在執行的是最新版本！',
  check_update_failed: '檢查更新失敗！',
  item_found: '{0} 項符合',
  items: '項',
  items_found: '{0} 項符合',
  language: '語言',
  last_refresh: '最後更新：',
  latest_version_desc: '最新的版本為：{0}',
  line: '行',
  lines: '行',
  loading: '載入中...',
  local: '本地',
  match: '符合',
  migrate_confirm: 'SwitchHosts v4.0 使用了新的資料儲存格式，是否遷移舊資料到新格式？',
  migrate_data: '遷移資料',
  minimize: '最小化',
  minute: '分鐘',
  minutes: '分鐘',
  move_items_to_trashcan: '移動 {0} 項到垃圾桶',
  move_to_trashcan: '移到垃圾桶',
  multi_chose_folder_switch_all: '多選資料夾開關控制子項目',
  need_to_relaunch: '需要重啟',
  need_to_relaunch_after_setting_changed: '設定已更改，應用重啟後生效。',
  never: '永不',
  new: '新建',
  new_version_found: '發現新版本',
  next: '下一個',
  no_access_to_hosts: '沒有寫入 Hosts 檔案的權限。',
  no_record: '沒有紀錄',
  overwrite: '覆寫',
  password: '密碼',
  paste: '貼上',
  port: '通訊埠',
  preferences: '選項',
  previous: '上一個',
  protocol: '協議',
  proxy: '代理',
  quit: '退出',
  read_only: '唯讀',
  redo: '重做',
  refresh: '更新',
  regexp: '正規表達式',
  reload: '重載',
  remote: '遠端',
  remove_duplicate_records: '移除重複的紀錄',
  remove_duplicate_records_desc: '如果一個網域指向多個 IP，只有第一條會生效，剩下的將被轉為註解。',
  replace: '替換',
  replace_all: '替換全部',
  replace_history: '替換歷史',
  reset: '重設',
  reset_data_dir_confirm: '確定要把資料夾重設為預設路徑嗎？({0})?',
  reset_zoom: '重設縮放',
  search: '搜尋',
  select_all: '全選',
  selected: '已選',
  show_dock_icon: '顯示工作列圖示',
  show_history: '顯示歷史紀錄',
  show_main_window: '顯示主視窗',
  show_title_on_tray: '在通知區域顯示標題',
  source_code: '原始碼',
  success: '操作成功！',
  sudo_prompt_title: '請輸入你的登入密碼（sudo 密碼）',
  system_hosts: '系統 Hosts',
  system_hosts_history: '系統 Hosts 歷史版本',
  system_hosts_history_delete_confirm: '確定要刪除該項紀錄嗎？',
  system_hosts_history_help: '如果歷史紀錄的總數超過這個限制，最舊的紀錄將被刪除。',
  system_hosts_history_limit: '最大紀錄數：',
  test: '測試',
  theme: '主題',
  theme_dark: '深色',
  theme_light: '亮色',
  title: '標題',
  to_show_source: '雙擊顯示原始碼。',
  toggle_developer_tools: '切換開發者工具',
  toggle_dock_icon: '顯示/隱藏任務列圖示',
  toggle_full_screen: '切換全螢幕',
  trashcan: '垃圾桶',
  trashcan_clear: '清除垃圾桶',
  trashcan_clear_confirm: '確定要清除垃圾桶嗎？',
  trashcan_delete_confirm: '要完全清除本項嗎？',
  trashcan_restore: '復原',
  tray_mini_window: '任務列快捷視窗',
  undo: '取消',
  unhide: '取消隱藏',
  untitled: '未命名',
  url_placeholder: 'http:// 或 https:// 或 file://',
  usage_data_agree: '好的，寄送匿名的使用資料',
  usage_data_help:
    '您願意寄送匿名的使用資料來幫助我們改善 SwitchHosts 嗎？資料中不會包含任何隱私資訊。',
  usage_data_title: '幫助改善 SwitchHosts',
  use_proxy: '使用代理',
  use_system_window_frame: '使用系統視窗外框，需要重啟程式',
  view: '視窗',
  where_is_my_data: '我的資料儲存在哪裡？',
  where_is_my_hosts: '我的 hosts 檔案在哪裡？',
  window: 'Window',
  write_mode: '寫入模式',
  write_mode_append_help: '新紀錄將附加到現有系統 hosts 檔案後面。',
  write_mode_overwrite_help: '新紀錄將覆寫現有系統 hosts 檔案。',
  write_mode_set: '設定寫入模式',
  your_data_is: '你的資料在：',
  your_hosts_file_is: '你的 hosts 檔案在：',
  zoom: '縮放',
  zoom_in: '放大',
  zoom_out: '縮小',
}

export default lang
