/**
 * @author: oldj
 * @homepage: https://oldj.net
 */

import { LanguageDict } from '@common/types'

const lang: LanguageDict = {
  _app_name: 'SwitchHosts',
  _key: 'zh',
  _name: '中文',
  about: '关于',
  acknowledgement: '特别致谢',
  advanced: '高级',
  all: '全部',
  append: '追加',
  auto_refresh: '自动刷新',
  btn_cancel: '取消',
  btn_ok: '确定',
  change: '更改',
  check_update: '检查更新',
  choice_mode: '选择模式',
  choice_mode_default: '默认',
  choice_mode_desc: '只对顶层项目生效，每个文件夹可设置自己的选择模式。',
  choice_mode_multiple: '多选',
  choice_mode_single: '单选',
  choices: '选项',
  chosen: '已选',
  clear_history: '清除历史记录',
  click_to_open: '点击打开',
  close: '关闭',
  colon: '：',
  commands: '命令',
  commands_help: '每次 Hosts 应用后将执行下面的系统命令：',
  commands_title: 'Hosts 应用后命令',
  comment_current_line: '注释当前行',
  content: '内容',
  copy: '复制',
  cut: '剪切',
  day: '天',
  days: '天',
  delete: '删除',
  download: '下载',
  edit: '编辑',
  export: '导出',
  export_done: '导出已完成。',
  fail: '操作失败！',
  feedback: '意见反馈',
  file: '文件',
  find: '查找',
  find_all: '查找所有',
  find_and_replace: '查找并替换',
  find_history: '查找历史',
  folder: '文件夹',
  front: '前置',
  general: '通用',
  group: '组合',
  help: 'Help',
  hide: '隐藏',
  hide_at_launch: '启动时隐藏',
  hide_dock_icon: '隐藏任务栏图标',
  hide_history: '隐藏历史记录',
  hide_others: '隐藏其他',
  homepage: '主页',
  host: '主机',
  hosts_add: '添加 hosts',
  hosts_delete: '删除当前方案',
  hosts_delete_confirm: '确实要删除当前方案吗？',
  hosts_edit: '编辑 hosts',
  hosts_title: 'Hosts 标题',
  hosts_type: 'Hosts 类型',
  hosts_updated: 'Hosts 文件已更新。',
  hour: '小时',
  hours: '小时',
  http_api_on: '开启 HTTP API',
  http_api_on_desc: '运行于 {0} 端口，可用于 Alfred 等第三方软件切换 hosts。',
  http_api_only_local: 'HTTP API 仅监听 127.0.0.1',
  ignore_case: '忽略大小写',
  import: '导入',
  import_done: '导入已完成。',
  import_fail: '导入失败！',
  import_from_url: '从 URL 导入',
  is_latest_version_inform: '太棒了，你正在运行的是最新版本！',
  check_update_failed: '检查更新失败！',
  item_found: '{0} 项匹配',
  items: '项',
  items_found: '{0} 项匹配',
  language: '语言',
  last_refresh: '最后刷新：',
  latest_version_desc: '最新的版本为：{0}',
  line: '行',
  lines: '行',
  loading: '加载中...',
  local: '本地',
  match: '匹配',
  migrate_confirm: 'SwitchHosts v4.0 使用了新的数据存储格式，是否迁移旧数据为新格式？',
  migrate_data: '迁移数据',
  minimize: '最小化',
  minute: '分钟',
  minutes: '分钟',
  move_items_to_trashcan: '移动 {0} 项到回收站',
  move_to_trashcan: '移到回收站',
  multi_chose_folder_switch_all: '多选文件夹开关控制子项目',
  need_to_relaunch: '需要重启',
  need_to_relaunch_after_setting_changed: '设置已更改，应用重启后生效。',
  never: '从不',
  new: '新建',
  new_version_found: '发现新版本',
  next: '下一个',
  no_access_to_hosts: '没有写入 Hosts 文件的权限。',
  no_record: '没有记录',
  overwrite: '覆盖',
  password: '密码',
  paste: '粘贴',
  port: '端口',
  preferences: '选项',
  previous: '上一个',
  protocol: '协议',
  proxy: '代理',
  quit: '退出',
  read_only: '只读',
  redo: '重做',
  refresh: '刷新',
  regexp: '正则表达式',
  reload: '重载',
  remote: '远程',
  remove_duplicate_records: '移除重复的记录',
  remove_duplicate_records_desc: '如果一个域名指向多个 IP，只有第一条会生效，后面的将被转为注释。',
  replace: '替换',
  replace_all: '替换所有',
  replace_history: '替换历史',
  reset: '重置',
  reset_data_dir_confirm: '确定要把数据文件夹重置为默认地址吗？({0})?',
  reset_zoom: '重置缩放',
  search: '搜索',
  select_all: '全选',
  selected: '已选',
  show_dock_icon: '显示任务栏图标',
  show_history: '显示历史记录',
  show_main_window: '显示主窗口',
  show_title_on_tray: '在系统托盘显示标题',
  source_code: '源码',
  success: '操作成功！',
  sudo_prompt_title: '请输入你的登录密码（sudo 密码）',
  system_hosts: '系统 Hosts',
  system_hosts_history: '系统 Hosts 历史版本',
  system_hosts_history_delete_confirm: '确实要删除该项记录吗？',
  system_hosts_history_help: '如果历史记录的总数超过这个限制，最老的记录将被删除。',
  system_hosts_history_limit: '最大记录数：',
  test: '测试',
  theme: '主题',
  theme_dark: '夜间',
  theme_light: '明亮',
  title: '标题',
  to_show_source: '双击显示源代码。',
  toggle_developer_tools: '切换开发者工具',
  toggle_dock_icon: '显示/隐藏任务栏图标',
  toggle_full_screen: '切换全屏',
  trashcan: '回收站',
  trashcan_clear: '清空回收站',
  trashcan_clear_confirm: '确实要清空回收站吗？',
  trashcan_delete_confirm: '要彻底删除本项吗？',
  trashcan_restore: '还原',
  tray_mini_window: '任务栏快捷小窗',
  undo: '撤销',
  unhide: '取消隐藏',
  untitled: '未命名',
  url_placeholder: 'http:// 或 https:// 或 file://',
  usage_data_agree: '好的，发送匿名的使用数据',
  usage_data_help:
    '您愿意发送匿名的使用数据来帮助我们改进 SwitchHosts 吗？数据中不会包含任何隐私信息。',
  usage_data_title: '帮助改进 SwitchHosts',
  use_proxy: '使用代理',
  use_system_window_frame: '使用系统窗口框架，需要重启程序',
  view: '视图',
  where_is_my_data: '我的数据存储在哪里？',
  where_is_my_hosts: '我的 hosts 文件在哪里？',
  window: 'Window',
  write_mode: '写入模式',
  write_mode_append_help: '新记录将追加到现有系统 hosts 文件末尾。',
  write_mode_overwrite_help: '新记录将覆盖现有系统 hosts 文件。',
  write_mode_set: '设置写入模式',
  your_data_is: '你的数据在：',
  your_hosts_file_is: '你的 hosts 文件在：',
  zoom: '缩放',
  zoom_in: '放大',
  zoom_out: '缩小',
}

export default lang
